<template>
  <div>
    <h2 id="page-heading" data-cy="TratamientoMedicamentoHeading">
      <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.home.title')" id="tratamiento-medicamento-heading"
        >Tratamiento Medicamentos</span
      >
      <div class="d-flex justify-content-end">
        <button class="btn btn-info mr-2" v-on:click="handleSyncList" :disabled="isFetching">
          <font-awesome-icon icon="sync" :spin="isFetching"></font-awesome-icon>
          <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.home.refreshListLabel')">Refresh List</span>
        </button>
        <router-link :to="{ name: 'TratamientoMedicamentoCreate' }" custom v-slot="{ navigate }">
          <button
            @click="navigate"
            id="jh-create-entity"
            data-cy="entityCreateButton"
            class="btn btn-primary jh-create-entity create-tratamiento-medicamento"
          >
            <font-awesome-icon icon="plus"></font-awesome-icon>
            <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.home.createLabel')"> Create a new Tratamiento Medicamento </span>
          </button>
        </router-link>
      </div>
    </h2>
    <br />
    <div class="alert alert-warning" v-if="!isFetching && tratamientoMedicamentos && tratamientoMedicamentos.length === 0">
      <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.home.notFound')">No tratamientoMedicamentos found</span>
    </div>
    <div class="table-responsive" v-if="tratamientoMedicamentos && tratamientoMedicamentos.length > 0">
      <table class="table table-striped" aria-describedby="tratamientoMedicamentos">
        <thead>
          <tr>
            <th scope="row" v-on:click="changeOrder('id')">
              <span v-text="$t('global.field.id')">ID</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'id'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('dosis')">
              <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.dosis')">Dosis</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'dosis'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('intensidad')">
              <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.intensidad')">Intensidad</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'intensidad'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('tratamiento.descripcionTratamiento')">
              <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.tratamiento')">Tratamiento</span>
              <jhi-sort-indicator
                :current-order="propOrder"
                :reverse="reverse"
                :field-name="'tratamiento.descripcionTratamiento'"
              ></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('medicamento.nombre')">
              <span v-text="$t('gatewayApp.pacientesTratamientoMedicamento.medicamento')">Medicamento</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'medicamento.nombre'"></jhi-sort-indicator>
            </th>
            <th scope="row"></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="tratamientoMedicamento in tratamientoMedicamentos" :key="tratamientoMedicamento.id" data-cy="entityTable">
            <td>
              <router-link :to="{ name: 'TratamientoMedicamentoView', params: { tratamientoMedicamentoId: tratamientoMedicamento.id } }">{{
                tratamientoMedicamento.id
              }}</router-link>
            </td>
            <td>{{ tratamientoMedicamento.dosis }}</td>
            <td>{{ tratamientoMedicamento.intensidad }}</td>
            <td>
              <div v-if="tratamientoMedicamento.tratamiento">
                <router-link :to="{ name: 'TratamientoView', params: { tratamientoId: tratamientoMedicamento.tratamiento.id } }">{{
                  tratamientoMedicamento.tratamiento.descripcionTratamiento
                }}</router-link>
              </div>
            </td>
            <td>
              <div v-if="tratamientoMedicamento.medicamento">
                <router-link :to="{ name: 'MedicamentoView', params: { medicamentoId: tratamientoMedicamento.medicamento.id } }">{{
                  tratamientoMedicamento.medicamento.nombre
                }}</router-link>
              </div>
            </td>
            <td class="text-right">
              <div class="btn-group">
                <router-link
                  :to="{ name: 'TratamientoMedicamentoView', params: { tratamientoMedicamentoId: tratamientoMedicamento.id } }"
                  custom
                  v-slot="{ navigate }"
                >
                  <button @click="navigate" class="btn btn-info btn-sm details" data-cy="entityDetailsButton">
                    <font-awesome-icon icon="eye"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.view')">View</span>
                  </button>
                </router-link>
                <router-link
                  :to="{ name: 'TratamientoMedicamentoEdit', params: { tratamientoMedicamentoId: tratamientoMedicamento.id } }"
                  custom
                  v-slot="{ navigate }"
                >
                  <button @click="navigate" class="btn btn-primary btn-sm edit" data-cy="entityEditButton">
                    <font-awesome-icon icon="pencil-alt"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.edit')">Edit</span>
                  </button>
                </router-link>
                <b-button
                  v-on:click="prepareRemove(tratamientoMedicamento)"
                  variant="danger"
                  class="btn btn-sm"
                  data-cy="entityDeleteButton"
                  v-b-modal.removeEntity
                >
                  <font-awesome-icon icon="times"></font-awesome-icon>
                  <span class="d-none d-md-inline" v-text="$t('entity.action.delete')">Delete</span>
                </b-button>
              </div>
            </td>
          </tr>
        </tbody>
        <infinite-loading
          ref="infiniteLoading"
          v-if="totalItems > itemsPerPage"
          :identifier="infiniteId"
          slot="append"
          @infinite="loadMore"
          force-use-infinite-wrapper=".el-table__body-wrapper"
          :distance="20"
        >
        </infinite-loading>
      </table>
    </div>
    <b-modal ref="removeEntity" id="removeEntity">
      <span slot="modal-title"
        ><span
          id="gatewayApp.pacientesTratamientoMedicamento.delete.question"
          data-cy="tratamientoMedicamentoDeleteDialogHeading"
          v-text="$t('entity.delete.title')"
          >Confirm delete operation</span
        ></span
      >
      <div class="modal-body">
        <p
          id="jhi-delete-tratamientoMedicamento-heading"
          v-text="$t('gatewayApp.pacientesTratamientoMedicamento.delete.question', { id: removeId })"
        >
          Are you sure you want to delete this Tratamiento Medicamento?
        </p>
      </div>
      <div slot="modal-footer">
        <button type="button" class="btn btn-secondary" v-text="$t('entity.action.cancel')" v-on:click="closeDialog()">Cancel</button>
        <button
          type="button"
          class="btn btn-primary"
          id="jhi-confirm-delete-tratamientoMedicamento"
          data-cy="entityConfirmDeleteButton"
          v-text="$t('entity.action.delete')"
          v-on:click="removeTratamientoMedicamento()"
        >
          Delete
        </button>
      </div>
    </b-modal>
  </div>
</template>

<script lang="ts" src="./tratamiento-medicamento.component.ts"></script>
